Polyrankdocs
Webhooks

POST /v1/webhooks

Create a webhook subscription. The signing_secret is returned ONCE.

POST
/v1/webhooks

Create a webhook subscription. The signing_secret is returned ONCE.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhooks" \  -H "Content-Type: application/json" \  -d '{    "target_url": "string",    "event_types": [      "trader.fill"    ]  }'
{  "id": "string",  "target_url": "string",  "signing_secret": "string",  "event_types": [    "string"  ]}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}